# Transfer in embedded_hal::blocking::spi - Rust
Blocking transfer
Keywords: rust, rustlang, rust-lang, Transfer

# Trait embedded_hal::blocking::spi::Transfer

source · [−]

    pub trait Transfer<W> {
        type Error;
        fn try_transfer<'w>(
            &mut self,
            words: &'w mut [W]
        ) -> Result<&'w [W], Self::Error>;
    }

Expand description

Blocking transfer

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_transfer<'w>(
&mut self,
words: &'w mut [W]
) -> Result<&'w [W], Self::Error>

Sends `words` to the slave. Returns the `words` received from the slave

## Implementors

source

### impl<W, S> Transfer<W> for S where
S: Default<W>,
W: Clone,

#### type Error = S::Error